#! /bin/bash

set -e

VERSION="$(date '+%Y%m%d').git"
#VERSION='20241110'

source ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

# Clone Upstream
git clone https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/ -b main --depth 1
#git clone https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/ -b $VERSION --depth 1
cp -rvf ./debian ./linux-firmware/
cp -rvf ./ath12k ./linux-firmware/
cd ./linux-firmware
touch debian/changelog
echo -e "linux-firmware ("$VERSION"-101pika1) pika; urgency=medium\n\n  * New Upstream Release\n\n -- Ward Nakchbandi <hotrod.master@hotmail.com> Sat, 01 Oct 2022 14:50:00 +0200" > debian/changelog

# Get build deps
apt-get build-dep ./ -y

# Build package
LOGNAME=root dh_make --createorig -y -l -p linux-firmware_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
